
package net.mcreator.atharva.item;

import net.minecraftforge.api.distmarker.OnlyIn;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.world.level.Level;
import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.context.UseOnContext;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.SwordItem;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.entity.player.Player;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.entity.Entity;
import net.minecraft.world.InteractionResult;

import net.mcreator.atharva.procedures.TeslaProjectileHitsBlockProcedure;
import net.mcreator.atharva.procedures.StormtrooperarmourLeggingsTickEventProcedure;
import net.mcreator.atharva.procedures.StormtrooperarmourHelmetTickEventProcedure;
import net.mcreator.atharva.procedures.StormtrooperarmourBootsTickEventProcedure;
import net.mcreator.atharva.procedures.EnerggylancherProjectileHitsBlockProcedure;

public class RedilghtsabersithItem extends SwordItem {
	public RedilghtsabersithItem() {
		super(new Tier() {
			public int getUses() {
				return 9999;
			}

			public float getSpeed() {
				return 25.5f;
			}

			public float getAttackDamageBonus() {
				return 997f;
			}

			public int getLevel() {
				return 1;
			}

			public int getEnchantmentValue() {
				return 300;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of();
			}
		}, 3, 22.8f, new Item.Properties());
	}

	@Override
	public boolean hurtEnemy(ItemStack itemstack, LivingEntity entity, LivingEntity sourceentity) {
		boolean retval = super.hurtEnemy(itemstack, entity, sourceentity);
		EnerggylancherProjectileHitsBlockProcedure.execute(entity.level, entity.getX(), entity.getY(), entity.getZ());
		return retval;
	}

	@Override
	public InteractionResult useOn(UseOnContext context) {
		super.useOn(context);
		StormtrooperarmourLeggingsTickEventProcedure.execute(context.getPlayer());
		return InteractionResult.SUCCESS;
	}

	@Override
	public void onCraftedBy(ItemStack itemstack, Level world, Player entity) {
		super.onCraftedBy(itemstack, world, entity);
		StormtrooperarmourBootsTickEventProcedure.execute(entity);
	}

	@Override
	public boolean onEntitySwing(ItemStack itemstack, LivingEntity entity) {
		boolean retval = super.onEntitySwing(itemstack, entity);
		TeslaProjectileHitsBlockProcedure.execute(entity.level, entity.getX(), entity.getY(), entity.getZ());
		return retval;
	}

	@Override
	public void releaseUsing(ItemStack itemstack, Level world, LivingEntity entity, int time) {
		StormtrooperarmourBootsTickEventProcedure.execute(entity);
	}

	@Override
	public void inventoryTick(ItemStack itemstack, Level world, Entity entity, int slot, boolean selected) {
		super.inventoryTick(itemstack, world, entity, slot, selected);
		if (selected)
			StormtrooperarmourHelmetTickEventProcedure.execute(entity);
		TeslaProjectileHitsBlockProcedure.execute(world, entity.getX(), entity.getY(), entity.getZ());
	}

	@Override
	@OnlyIn(Dist.CLIENT)
	public boolean isFoil(ItemStack itemstack) {
		return true;
	}
}
