
package net.mcreator.atharva.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.layers.HumanoidArmorLayer;
import net.minecraft.client.renderer.entity.HumanoidMobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.HumanoidModel;

import net.mcreator.atharva.entity.StormtrooperEntity;

public class StormtrooperRenderer extends HumanoidMobRenderer<StormtrooperEntity, HumanoidModel<StormtrooperEntity>> {
	public StormtrooperRenderer(EntityRendererProvider.Context context) {
		super(context, new HumanoidModel(context.bakeLayer(ModelLayers.PLAYER)), 0.5f);
		this.addLayer(new HumanoidArmorLayer(this, new HumanoidModel(context.bakeLayer(ModelLayers.PLAYER_INNER_ARMOR)), new HumanoidModel(context.bakeLayer(ModelLayers.PLAYER_OUTER_ARMOR)), context.getModelManager()));
	}

	@Override
	public ResourceLocation getTextureLocation(StormtrooperEntity entity) {
		return new ResourceLocation("atharva:textures/entities/1e5758200ffcce31f3e66d8cf202f6184f3b647c.png");
	}
}
