
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.atharva.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.event.lifecycle.FMLCommonSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.entity.EntityAttributeCreationEvent;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;

import net.mcreator.atharva.entity.TeslaEntity;
import net.mcreator.atharva.entity.StormtrooperEntity;
import net.mcreator.atharva.entity.ReEntity;
import net.mcreator.atharva.entity.MissslilepackEntity;
import net.mcreator.atharva.entity.MaulsslightsaberEntity;
import net.mcreator.atharva.entity.MandospearEntity;
import net.mcreator.atharva.entity.LaserrifleEntity;
import net.mcreator.atharva.entity.EnerggylancherEntity;
import net.mcreator.atharva.entity.EdkEntity;
import net.mcreator.atharva.entity.DetEntity;
import net.mcreator.atharva.AtharvaMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class AtharvaModEntities {
	public static final DeferredRegister<EntityType<?>> REGISTRY = DeferredRegister.create(ForgeRegistries.ENTITY_TYPES, AtharvaMod.MODID);
	public static final RegistryObject<EntityType<LaserrifleEntity>> LASERRIFLE = register("projectile_laserrifle",
			EntityType.Builder.<LaserrifleEntity>of(LaserrifleEntity::new, MobCategory.MISC).setCustomClientFactory(LaserrifleEntity::new).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final RegistryObject<EntityType<EnerggylancherEntity>> ENERGGYLANCHER = register("projectile_energgylancher",
			EntityType.Builder.<EnerggylancherEntity>of(EnerggylancherEntity::new, MobCategory.MISC).setCustomClientFactory(EnerggylancherEntity::new).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final RegistryObject<EntityType<TeslaEntity>> TESLA = register("projectile_tesla",
			EntityType.Builder.<TeslaEntity>of(TeslaEntity::new, MobCategory.MISC).setCustomClientFactory(TeslaEntity::new).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final RegistryObject<EntityType<MissslilepackEntity>> MISSSLILEPACK = register("projectile_missslilepack",
			EntityType.Builder.<MissslilepackEntity>of(MissslilepackEntity::new, MobCategory.MISC).setCustomClientFactory(MissslilepackEntity::new).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final RegistryObject<EntityType<MandospearEntity>> MANDOSPEAR = register("projectile_mandospear",
			EntityType.Builder.<MandospearEntity>of(MandospearEntity::new, MobCategory.MISC).setCustomClientFactory(MandospearEntity::new).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final RegistryObject<EntityType<ReEntity>> RE = register("projectile_re",
			EntityType.Builder.<ReEntity>of(ReEntity::new, MobCategory.MISC).setCustomClientFactory(ReEntity::new).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final RegistryObject<EntityType<EdkEntity>> EDK = register("projectile_edk",
			EntityType.Builder.<EdkEntity>of(EdkEntity::new, MobCategory.MISC).setCustomClientFactory(EdkEntity::new).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final RegistryObject<EntityType<DetEntity>> DET = register("projectile_det",
			EntityType.Builder.<DetEntity>of(DetEntity::new, MobCategory.MISC).setCustomClientFactory(DetEntity::new).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final RegistryObject<EntityType<StormtrooperEntity>> STORMTROOPER = register("stormtrooper", EntityType.Builder.<StormtrooperEntity>of(StormtrooperEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true)
			.setTrackingRange(300).setUpdateInterval(3).setCustomClientFactory(StormtrooperEntity::new).fireImmune().sized(0.6f, 1.8f));
	public static final RegistryObject<EntityType<MaulsslightsaberEntity>> MAULSSLIGHTSABER = register("projectile_maulsslightsaber", EntityType.Builder.<MaulsslightsaberEntity>of(MaulsslightsaberEntity::new, MobCategory.MISC)
			.setCustomClientFactory(MaulsslightsaberEntity::new).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));

	private static <T extends Entity> RegistryObject<EntityType<T>> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		return REGISTRY.register(registryname, () -> (EntityType<T>) entityTypeBuilder.build(registryname));
	}

	@SubscribeEvent
	public static void init(FMLCommonSetupEvent event) {
		event.enqueueWork(() -> {
			StormtrooperEntity.init();
		});
	}

	@SubscribeEvent
	public static void registerAttributes(EntityAttributeCreationEvent event) {
		event.put(STORMTROOPER.get(), StormtrooperEntity.createAttributes().build());
	}
}
