
package net.mcreator.atharva.item;

import net.minecraftforge.api.distmarker.OnlyIn;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.world.level.Level;
import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.SwordItem;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.core.BlockPos;

import net.mcreator.atharva.procedures.StormtrooperarmourBootsTickEventProcedure;
import net.mcreator.atharva.procedures.EnerggylancherProjectileHitsBlockProcedure;
import net.mcreator.atharva.init.AtharvaModItems;

public class Lightsaber11Item extends SwordItem {
	public Lightsaber11Item() {
		super(new Tier() {
			public int getUses() {
				return 9999;
			}

			public float getSpeed() {
				return 4f;
			}

			public float getAttackDamageBonus() {
				return 9997f;
			}

			public int getLevel() {
				return 1;
			}

			public int getEnchantmentValue() {
				return 146;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(AtharvaModItems.STORMTROOPERARMOUR_HELMET.get()), new ItemStack(AtharvaModItems.STORMTROOPERARMOUR_CHESTPLATE.get()), new ItemStack(AtharvaModItems.STORMTROOPERARMOUR_LEGGINGS.get()),
						new ItemStack(AtharvaModItems.STORMTROOPERARMOUR_BOOTS.get()));
			}
		}, 3, 36f, new Item.Properties().fireResistant());
	}

	@Override
	public boolean mineBlock(ItemStack itemstack, Level world, BlockState blockstate, BlockPos pos, LivingEntity entity) {
		boolean retval = super.mineBlock(itemstack, world, blockstate, pos, entity);
		EnerggylancherProjectileHitsBlockProcedure.execute(world, pos.getX(), pos.getY(), pos.getZ());
		return retval;
	}

	@Override
	public boolean hurtEnemy(ItemStack itemstack, LivingEntity entity, LivingEntity sourceentity) {
		boolean retval = super.hurtEnemy(itemstack, entity, sourceentity);
		StormtrooperarmourBootsTickEventProcedure.execute(entity);
		return retval;
	}

	@Override
	public boolean hasCraftingRemainingItem(ItemStack stack) {
		return true;
	}

	@Override
	public ItemStack getCraftingRemainingItem(ItemStack itemstack) {
		ItemStack retval = new ItemStack(this);
		retval.setDamageValue(itemstack.getDamageValue() + 1);
		if (retval.getDamageValue() >= retval.getMaxDamage()) {
			return ItemStack.EMPTY;
		}
		return retval;
	}

	@Override
	public boolean isRepairable(ItemStack itemstack) {
		return false;
	}

	@Override
	@OnlyIn(Dist.CLIENT)
	public boolean isFoil(ItemStack itemstack) {
		return true;
	}
}
